commit: b72d0fedfcaea30b414e3ff10927cdfa40582a11
Author: Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 4 23:59:18 2017 +0000
Commit: Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Wed Apr 5 00:02:30 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b72d0fed
dev-python/nose: Update the twisted test dependency, switch order
Switch the order to prefer the single pkg twisted.
Update it for all PYTHON_COMPAT targets available.
Change the split twisted dep for the single twisted in the 9999.
Package-Manager: Portage-2.3.5, Repoman-2.3.2_p30
dev-python/nose/nose-1.3.7-r3.ebuild | 5 +++--
dev-python/nose/nose-9999.ebuild | 2 +-
2 files changed, 4 insertions(+), 3 deletions(-)
diff --git a/dev-python/nose/nose-1.3.7-r3.ebuild
b/dev-python/nose/nose-1.3.7-r3.ebuild
index e58e73ded7d..2a7bb6ef38c 100644
--- a/dev-python/nose/nose-1.3.7-r3.ebuild
+++ b/dev-python/nose/nose-1.3.7-r3.ebuild
@@ -28,8 +28,9 @@ RDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
doc? ( >=dev-python/sphinx-0.6[${PYTHON_USEDEP}] )
- test? ( || ( $(python_gen_cond_dep
'dev-python/twisted-core[${PYTHON_USEDEP}]' python2_7)
- $(python_gen_cond_dep 'dev-python/twisted[${PYTHON_USEDEP}]'
python2_7) ) )"
+ test? ( || ( $(python_gen_cond_dep
'dev-python/twisted[${PYTHON_USEDEP}]' python2_7 python3_{4,5,6})
+ $(python_gen_cond_dep
'dev-python/twisted-core[${PYTHON_USEDEP}]' python2_7)
+ ) )"
PATCHES=(
"${FILESDIR}"/${P}-python-3.5-backport.patch
diff --git a/dev-python/nose/nose-9999.ebuild b/dev-python/nose/nose-9999.ebuild
index 1b37a07fb93..132633f36b1 100644
--- a/dev-python/nose/nose-9999.ebuild
+++ b/dev-python/nose/nose-9999.ebuild
@@ -31,7 +31,7 @@ RDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]"
DEPEND="${RDEPEND}
doc? ( >=dev-python/sphinx-0.6[${PYTHON_USEDEP}] )
- test? ( $(python_gen_cond_dep
'dev-python/twisted-core[${PYTHON_USEDEP}]' python2_7) )"
+ test? ( $(python_gen_cond_dep 'dev-python/twisted[${PYTHON_USEDEP}]'
python2_7 python3_{4,5,6}) )"
pkg_setup() {
use doc && DISTUTILS_ALL_SUBPHASE_IMPLS=( 'python2*' )